%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-web
Version:	10.0.0
Release:	1.0.cf%{?dist}
Summary:	Twisted web client and server, programmable in Python
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedWeb
Source0:	http://tmrc.mit.edu/mirror/twisted/Web/10.0/TwistedWeb-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-twisted-core >= 10.0.0, python-devel
%if "%{pybasever}" == "2.3"
Requires: python-abi = 2.3
%endif
Requires:	python-twisted-core >= 10.0.0
Requires:	SOAPpy

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Twisted Web is a complete web server, aimed at hosting web applications using
Twisted and Python, but fully able to serve static pages too.

%prep
%setup -n TwistedWeb-%{version} -q

# Remove spurious shellbangs
%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_cgi.py
%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_distrib.py

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}

# This is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Web-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Web-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/*
%{python_sitearch}/twisted/plugins/twisted_web.py*
%{python_sitearch}/twisted/web/

%changelog
* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0

* Fri Aug  7 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- make sure the scriptlets never return a non-zero exit status

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.7.0-1
- update to 0.7.0
- require python-twisted-core >= 2.5.0
- websetroot no longer included (didn't work anyway)

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> 0.6.0-5
- rebuild for python 2.5 on Rawhide
- fix for mock build with no python in initial buildroot
- buildreq python-devel again

* Wed Nov 22 2006 Paul Howarth <paul@city-fan.org> 0.6.0-4
- add %%post and %%postun scriptlets to regenerate the dropin.cache

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.6.0-3
- drop unnecessary python-devel buildreq
- don't create debuginfo package
- update summary abd description
- don't ghost .pyo files

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.6.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Wed May 31 2006 Paul Howarth <paul@city-fan.org> 0.6.0-1
- update to 0.6.0
- add doc files LICENSE and NEWS
- update URL

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 0.5.0-3
- import from PyVault Repository
- rewrite in Fedora Extras style
- change python-soappy dep to SOAPpy for Fedora Extras compatibility

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-2
- disttag

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

